# Uses of Class
nu.xom.XPathContext

Packages that use XPathContext
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.

## Uses of XPathContext in nu.xom

Methods in nu.xom that return XPathContext
Modifier and Type
Method
Description
`static XPathContext`
XPathContext.`makeNamespaceContext(Element element)`
Creates a new XPath context that contains all the namespace bindings in scope on the element.
Methods in nu.xom with parameters of type XPathContext
Modifier and Type
Method
Description
`final Nodes`
Node.`query(String xpath, XPathContext namespaces)`
Returns the nodes selected by the XPath expression in the context of this node in document order as defined in XSLT.